<?xml version='1.0'?>

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:csc="http://www.csclub.uwaterloo.ca/cow" 
    extension-element-prefixes="csc">

<xsl:template match="directory">
  <xsl:if test="@href = ''">
    <a class="headdir diritem" href="index.html">
      <xsl:value-of select="@title" />
    </a>
  </xsl:if>
  <xsl:if test="@href != ''">
    <a href="{@href}"><xsl:value-of select="@title" /></a>
  </xsl:if>
  <xsl:apply-templates match="diritem" />
</xsl:template>

<xsl:template match="diritem">
  <a class="diritem" href="{@href}"><xsl:value-of select="@title" /></a>
</xsl:template>

</xsl:stylesheet>
